## `monotonic_resource::release`

Release all allocated memory.

### Synopsis

    void
    release() noexcept;

### Description

This function deallocates all allocated memory. If an initial buffer was provided upon construction, then all of the bytes will be available again for allocation. Allocated memory is deallocated even if deallocate has not been called for some of the allocated blocks.

### Complexity

Linear in the number of deallocations performed.

### Exception Safety

No-throw guarantee.

Edit this page